View Issue Details

IDProjectCategoryView StatusLast Update
0001186OpenFOAM[All Projects] Bugpublic2015-01-18 21:18
ReporterwyldckatAssigned Tohenry 
PrioritylowSeveritytrivialReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0001186: Redundant building of "libconformalVoronoiMesh.so"
DescriptionIn the script "applications/utilities/mesh/generation/Allwmake", it's calling:

  wmake libso conformalVoronoiMesh

possibly as a pre-emptive measure, since it's used by both "foamyHexMesh" and "foamyQuadMesh".

But then it's built in "applications/utilities/mesh/generation/foamyHexMesh/Allwmake" as well.

It's understandable that it won't affect the build process, but it's the first time I see (or at least that I remember) in OpenFOAM's build scripts to do redundant building of libraries, as exemplified in "foamyQuadMesh/Allwmake" (it's commented out the "wmake" call to the aforementioned library).
TagsNo tags attached.

Activities

wyldckat

2015-01-17 20:15

updater   ~0003551

Attached is the file "proposition.patch" to fix this issue.

wyldckat

2015-01-17 20:15

updater  

proposition.patch (986 bytes)
diff --git a/applications/utilities/mesh/generation/Allwmake b/applications/utilities/mesh/generation/Allwmake
index f9861db..a0bec8f 100755
--- a/applications/utilities/mesh/generation/Allwmake
+++ b/applications/utilities/mesh/generation/Allwmake
@@ -9,7 +9,6 @@ wmake all snappyHexMesh
 
 if [ -n "$CGAL_ARCH_PATH" ]
 then
-    wmake libso foamyHexMesh/conformalVoronoiMesh
     wmake all foamyHexMesh
     wmake all foamyQuadMesh
 fi
diff --git a/applications/utilities/mesh/generation/foamyQuadMesh/Allwmake b/applications/utilities/mesh/generation/foamyQuadMesh/Allwmake
index 2429394..b174cb0 100755
--- a/applications/utilities/mesh/generation/foamyQuadMesh/Allwmake
+++ b/applications/utilities/mesh/generation/foamyQuadMesh/Allwmake
@@ -4,7 +4,7 @@ set -x
 
 if [ -n "$CGAL_ARCH_PATH" ]
 then
-    #- Already built by ../Allwake
+    #- Already built by ../foamyHexMesh/Allwmake
     #wmake libso ../foamyHexMesh/conformalVoronoiMesh
 
     wmake libso conformalVoronoi2DMesh
proposition.patch (986 bytes)

henry

2015-01-18 21:17

manager   ~0003562

Resolved in OpenFOAM-dev by commit a1c33aa1d22d60869e11035c61c0c516c5a5f023

Issue History

Date Modified Username Field Change
2014-02-25 19:28 wyldckat New Issue
2015-01-17 20:15 wyldckat Note Added: 0003551
2015-01-17 20:15 wyldckat File Added: proposition.patch
2015-01-18 21:17 henry Note Added: 0003562
2015-01-18 21:17 henry Status new => resolved
2015-01-18 21:17 henry Resolution open => fixed
2015-01-18 21:17 henry Assigned To => henry